counter =
{
    current = 0
}
function counter.start(self,value)
    self.current = value
    return self.current
end

function counter.next(self)
    self.current = self.current + 1
    return  self.current
end

wsRepNull	                        = counter:start(4000)
wsRepWingmenNull	                = counter:next()
wsRepWingmenCopy	                = counter:next()
wsRepWingmenNegative	            = counter:next()
wsRepWingmenIamHit	                = counter:next()
wsRepWingmenIveTakenDamage	        = counter:next()
wsRepWingmenEjecting	            = counter:next()
wsRepWingmenBailOut	                = counter:next()
wsRepWingmenReturningToBase	        = counter:next()
wsRepWingmenBingo	                = counter:next()
wsRepWingmenFoxFrom	                = counter:next()
wsRepWingmenFox1	                = counter:next()
wsRepWingmenFox2	                = counter:next()
wsRepWingmenFox3	                = counter:next()
wsRepWingmenGuns	                = counter:next()
wsRepWingmenSpike	                = counter:next()
wsRepWingmenMudSpike	            = counter:next()
wsRepWingmenSAMLaunch	            = counter:next()
wsRepWingmenMissileLaunch	        = counter:next()
wsRepWingmenTallyBandit         	= counter:next()
wsRepWingmenRunningIn	            = counter:next()
wsRepWingmenEngagedDefensive	    = counter:next()
wsRepWingmenEngagingTarget	        = counter:next()
wsRepWingmenProcessTargetDesignation	= counter:next()
wsRepWingmenProcessTargetDesignationComplete	= counter:next()
wsRepWingmenTakingPosition	        = counter:next()
wsRepWingmenOnPosition	            = counter:next()
wsRepWingmenRequestPermissionToAttack	= counter:next()
wsRepWingmenAttackingGroundTarget	= counter:next()
wsRepWingmenAttackingVehicles	    = counter:next()
wsRepWingmenAttackingShip	        = counter:next()
wsRepWingmenSplashMyBandit	        = counter:next()
wsRepWingmenTargetDestroyed	        = counter:next()
wsRepWingmenBombsAway	            = counter:next()
wsRepWingmenMissileAway	            = counter:next()
wsRepWingmenRockets	                = counter:next()
wsRepWingmenContactBearingForMiles	= counter:next()
wsRepWingmenReconBearing			= counter:next()
wsRepWingmenBugout	                = counter:next()
wsRepWingmenCopyCommit	            = counter:next()
wsRepWingmenCopyRejoin	            = counter:next()
wsRepWingmenRejoin                  = counter:next()
wsRepWingmenWheelsUp	            = counter:next()
wsRepWingmenBanditDestroyed	        = counter:next()
wsRepWingmenRoger	                = counter:next()
wsRepWingmenAffirm	                = counter:next()
wsRepWingmenUnable	                = counter:next()
wsRepWingmenGoingSeed	            = counter:next()
wsRepWingmenAttackingAirDefenses	= counter:next()
wsRepWingmenAttackingTarget	        = counter:next()
wsRepWingmenAttackingPrimary	    = counter:next()
wsRepWingmenRadarOff	            = counter:next()
wsRepWingmenRadarOn	                = counter:next()
wsRepWingmenMusicOff	            = counter:next()
wsRepWingmenMusicOn	                = counter:next()
wsRepWingmenEngagingBandit	        = counter:next()
wsRepWingmenRolling	                = counter:next()
wsRepWingmenWinchester	            = counter:next()
wsRepWingmenCheckSix	            = counter:next()
wsRepWingmenFollowScanMode	        = counter:next()
wsRepWingmenHelReconBearing	        = counter:next()
wsRepWingmenHelReconEndFound	    = counter:next()
wsRepWingmenHelReconEndNotFound 	= counter:next()
wsRepWingmenHelOccupFormLeft	    = counter:next()
wsRepWingmenHelOccupFormRight	    = counter:next()
wsRepWingmenHelOccupFormBehind	    = counter:next()
wsRepWingmenHelLaunchAbortTask	    = counter:next()
wsRepWingmenMaximum	                = counter:next()
-------------------------------------------------------------------------------------------------------------------------------------------------
wsRepTankerNull	                    = counter:next()
wsRepTankerClearedPreContact	    = counter:next()
wsRepTankerClearedContact	        = counter:next()
wsRepTankerDisconnectNow	        = counter:next()
wsRepTankerChicksInTow	            = counter:next()
wsRepTankerBreakawayBreakaway	    = counter:next()
wsRepTankerMaximum	                = counter:next()
wsRepAWACSNull	                    = counter:next()
wsRepAWACSBanditBearingForMiles	    = counter:next()
wsRepAWACSVectorToNearestBandit	    = counter:next()
wsRepAWACSPopUpGroup	            = counter:next()
wsRepAWACSHomeBearing	            = counter:next()
wsRepAWACSTankerBearing	            = counter:next()
wsRepAWACSContactIsFriendly	        = counter:next()
wsRepAWACSContactIsHostile	        = counter:next()
wsRepAWACSClean	                    = counter:next()
wsRepAWACSMerged	                = counter:next()
wsRepAWACSNoTankerAvailable	        = counter:next()
wsRepAWACSMaximum	                = counter:next()
wsRepATCNull	                    = counter:next()
wsRepATCClearedForEngineStartUp	    = counter:next()
wsRepATCEngineStartUpDenied	        = counter:next()
wsRepATCClearedToTaxiRunWay	        = counter:next()
wsRepATCTaxiDenied	                = counter:next()
wsRepATCHoldPosition	            = counter:next()
wsRepATCYouAreClearedForTO	        = counter:next()
wsRepATCTakeoffDenied	            = counter:next()
wsRepATCTrafficBearing	            = counter:next()
wsRepATCYouAreClearedForLanding	    = counter:next()
wsRepATCYouAreAboveGlidePath	    = counter:next()
wsRepATCYouAreOnGlidePath	        = counter:next()	
wsRepATCYouAreBelowGlidePath	    = counter:next()	
wsRepATCTaxiToParkingArea	        = counter:next()	
wsRepATCGoAround	                = counter:next()	
wsRepATCHoldForTraffic	            = counter:next()	
wsRepATCHomeBearing	                = counter:next()	
wsRepATCOrbitForSpacing	            = counter:next()	
wsRepATCClearedForVisual	        = counter:next()	
wsRepATCFlyHeading	                = counter:next()	
wsRepATCAzimuth	                    = counter:next()	
wsRepGoSecondary	                = counter:next()
wsRepATCClearedControlHover     = counter:next()
wsRepATCControlHoverDenied      = counter:next()
wsRepATCCheckLandingGear        = counter:next()
wsRepATCMaximum	                    = counter:next()	
-------------------------------------------------------------------------------------------------------------------------------------------
wsRepBettyNull	                    = counter:start(4200)		
wsRepBettyLeftEngineFire	        = counter:next()
wsRepBettyRightEngineFire	        = counter:next()
wsRepBettyMaximumAOA	            = counter:next()
wsRepBettyAOAOverLimit	            = counter:next()
wsRepBettyMaximumG	                = counter:next()
wsRepBettyGearDown	                = counter:next()
wsRepBettyGearUp	                = counter:next()
wsRepBettyMaximumSpeed  	        = counter:next()
wsRepBettyMinimumSpeed	            = counter:next()
wsRepBettyMissile3Low   	        = counter:next()
wsRepBettyMissile3High  	        = counter:next()
wsRepBettyMissile6Low	            = counter:next()
wsRepBettyMissile6High  	        = counter:next()
wsRepBettyMissile9Low	            = counter:next()
wsRepBettyMissile9High  	        = counter:next()
wsRepBettyMissile12Low	            = counter:next()
wsRepBettyMissile12High 	        = counter:next()
wsRepBettyBingoFuel	                = counter:next()
wsRepBettyAttitudeIndicatorFailure	= counter:next()
wsRepBettyRadarFailure  	        = counter:next()
wsRepBettyEOSFailure    	        = counter:next()
wsRepBettySystemsFailure	        = counter:next()
wsRepBettyTWSFailure	            = counter:next()
wsRepBettyMLWSFailure   	        = counter:next()
wsRepBettyECMFailure    	        = counter:next()
wsRepBettyNCSFailure    	        = counter:next()
wsRepBettyACSFailure    	        = counter:next()
wsRepBettyThrottleBackLeftEngine	= counter:next()
wsRepBettyThrottleBackRightEngine	= counter:next()
wsRepBettyPower                 	= counter:next()
wsRepBettyHydrolicsFailure      	= counter:next()
wsRepBettyEject                 	= counter:next()
wsRepBettyGOverLimit            	= counter:next()
wsRepBettyFuel1500              	= counter:next()
wsRepBettyFuel800               	= counter:next()
wsRepBettyFuel500               	= counter:next()
wsRepBettyPullUp                	= counter:next()
wsRepBettyLaunchAuthorised      	= counter:next()
wsRepBettyMissileMissile        	= counter:next()
wsRepBettyShootShoot            	= counter:next()
wsRepBettyFlightControls        	= counter:next()
wsRepBettyWarningWarning        	= counter:next()
wsRepBettyMessageBegin          	= counter:next()
wsRepBettyMessageEnd            	= counter:next()
wsRepBettyGearDownSingle        	= counter:next()
wsRepBettyMaximum	                = counter:start(4300)	
-------------------------------------------------------------------------------------------------------------------------------------
wsRepHumanEngageMyTarget	        = counter:next()
wsRepHumanEngageMyTarget2	        = counter:next()
wsRepHumanEngageBandits	            = counter:next()
wsRepHumanEngageAirDefenses	        = counter:next()
wsRepHumanEngageGroundTargets	    = counter:next()
wsRepHumanEngageNavalTargets	    = counter:next()
wsRepHumanEngageMissionObjective	= counter:next()
wsRepHumanCoverMe	                = counter:next()
wsRepHumanRadarOn	                = counter:next()
wsRepHumanRadarOff	                = counter:next()
wsRepHumanPincerHigh	            = counter:next()
wsRepHumanPincerLow	                = counter:next()
wsRepHumanPincerRight	            = counter:next()
wsRepHumanPincerLeft	            = counter:next()
wsRepHumanGoCombatSpread	        = counter:next()
wsRepHumanGoFingerFour	            = counter:next()
wsRepHumanGoWall	                = counter:next()
wsRepHumanGoTrail	                = counter:next()
wsRepHumanRejoinFormation	        = counter:next()
wsRepHumanTightFormation	        = counter:next()
wsRepHumanLooseFormation	        = counter:next()
wsRepHumanReturnToBase	            = counter:next()
wsRepHumanGoRefueling	            = counter:next()
wsRepHumanCloseFormation	        = counter:next()
wsRepHumanOpenFormation	            = counter:next()
wsRepHumanFulfilTheTaskAndJoinUp	= counter:next()
wsRepHumanFulfilTheTaskAndReturnToBase	= counter:next()
wsRepHumanJettisonWeapons	        = counter:next()
wsRepHumanVectorToAirfield	        = counter:next()
wsRepHumanEngageMyBandit	        = counter:next()
wsRepHumanSmokeOn	                = counter:next()
wsRepHumanSmokeOff	                = counter:next()
wsRepHumanVectorToDirection	        = counter:next()
wsRepHumanDisturberOn	            = counter:next()
wsRepHumanDisturberOff	            = counter:next()
wsRepHumanJoinUp	                = counter:next()
wsRepHumanRayTarget	                = counter:next()
wsRepHumanFindAirTarget	            = counter:next()
wsRepHumanGotoAirdrome	            = counter:next()
wsRepHumanMyEnemyAttack	            = counter:next()
wsRepHumanRequestTaxiToRunway	    = counter:next()
wsRepHumanRequestTakeOff	        = counter:next()
wsRepHumanVectorToNearestBandit	    = counter:next()
wsRepHumanVectorToHomeplate	        = counter:next()
wsRepHumanVectorToTanker	        = counter:next()
wsRepHumanDeclare	                = counter:next()
wsRepHumanHelGoHeavy	            = counter:next()
wsRepHumanHelGoCombatCruise	        = counter:next()
wsRepHumanHelGoCombatSpread	        = counter:next()
wsRepHumanHelGoTrail	            = counter:next()
wsRepHumanHelGoOverwatch	        = counter:next()
wsRepHumanHelGoLeft	                = counter:next()
wsRepHumanHelGoRight	            = counter:next()
wsRepHumanHelGoTight	            = counter:next()
wsRepHumanHelGoCombat	            = counter:next()
wsRepHumanHelGoFloat	            = counter:next()
wsRepHumanHelReconnaissance_01	= counter:next()
wsRepHumanHelReconnaissance_02	= counter:next()
wsRepHumanHelReconnaissance_03	= counter:next()
wsRepHumanHelReconnaissance_05	= counter:next()
wsRepHumanHelReconnaissance_08	= counter:next()
wsRepHumanHelReconnaissance_10	= counter:next()

wsRepHumanRequestControlHover   = counter:next()

---------------------------------------------------------------------------------------------------------------------------------------
wsRepHumanHel_LoadMin	                = counter:start(4500) --4500		
wsRepHumanHel_2xEFT	                    = counter:next()
wsRepHumanHel_4xEFT	                    = counter:next()
wsRepHumanHel_2xEFT_2A42	            = counter:next()
wsRepHumanHel_4xEFT_2A42	            = counter:next()
wsRepHumanHel_2xEFT_12xATGM_2A42	    = counter:next()
wsRepHumanHel_2xEFT_2xB8V20A_2A42	    = counter:next()
wsRepHumanHel_2xEFT_2xUB13_2A42	        = counter:next()
wsRepHumanHel_2xEFT_2xUPK23_2A42	    = counter:next()
wsRepHumanHel_2xEFT_2xKMGU_AP_2A42	    = counter:next()
wsRepHumanHel_2xEFT_2xKMGU_AT_2A42	    = counter:next()
wsRepHumanHel_12xATGM_2xB8V20A_2A42	    = counter:next()
wsRepHumanHel_12xATGM_2xUB13_2A42	    = counter:next()
wsRepHumanHel_12xATGM_2xUPK23_2A42	    = counter:next()
wsRepHumanHel_12xATGM_2xKMGU_AT_2A42	= counter:next()
wsRepHumanHel_4xB8V20A_2A42	            = counter:next()
wsRepHumanHel_4xUB13_2A42	            = counter:next()
wsRepHumanHel_4xUPK23_2A42	            = counter:next()
wsRepHumanHel_4xKMGU_AP_2A42	        = counter:next()
wsRepHumanHel_4xKMGU_AT_2A42	        = counter:next()
wsRepHumanHel_2A42	                    = counter:next()
wsRepHumanHel_6xATGM_2A42	            = counter:next()
wsRepHumanHel_2xFAB_250_2A42	        = counter:next()
wsRepHumanHel_12xATGM_2A42	            = counter:next()
wsRepHumanHel_2xB8V20A_2A42	            = counter:next()
wsRepHumanHel_2xUB13_2A42	            = counter:next()
wsRepHumanHel_2xUPK23_2A42	            = counter:next()
wsRepHumanHel_2xKMGU_AP_2A42	        = counter:next()
wsRepHumanHel_2xKMGU_AT_2A42	        = counter:next()
wsRepHumanHel_Ferry_2A42	            = counter:next()
wsRepHumanHel_Ferry_Empty	            = counter:next()
wsRepHumanHel_2xEFT_2xFAB_250_2A42	    = counter:next()
wsRepHumanHel_2xEFT_2xFAB_500_2A42	    = counter:next()
wsRepHumanHel_4xFAB_250_2A42	        = counter:next()
wsRepHumanHel_4xFAB_500_2A42	        = counter:next()
wsRepHumanHel_2xFAB_500_2A42	        = counter:next()
wsRepHumanDefaultLoad	                = counter:next()
wsRepHumanHel_LoadMax	                = counter:start(4700) -- 4700		

------------------------------------------------------------------------------------------------------------------------------------------
wsRepHumanHel_Refueling_25	            = counter:next()
wsRepHumanHel_Refueling_50	            = counter:next()
wsRepHumanHel_Refueling_Maximum_Combat	= counter:next()
wsRepHumanHel_Refueling_Maximum_Ferry	= counter:next()
wsRepHumanHel_Setup_HMS	                = counter:next()
wsRepHumanHel_Setup_NVG	                = counter:next()
-------------------------------------------------------------------------------------------------------------------------------------------
wsRepRequestEnginesLaunch	            = counter:next()
wsRepHumanRequestAzimuth	            = counter:next()
wsRepHumanRequestLanding	            = counter:next()
wsRepHumanInbound	                    = counter:next()

wsRepHuman_Refueling_Start 				= counter:next()
wsRepHuman_Refueling_End 				= counter:next()

---------------------------------------------------------------------------------------------------------------------------------------
wsRepALMAZ_Null	                        = counter:start(4800) -- 4800		
wsRepALMAZ_IS_READY	                    = counter:next() 
wsRepALMAZ_WATCH_EKRAN	                = counter:next() 
wsRepALMAZ_THREAT	                    = counter:next() 
wsRepALMAZ_CHECK_OIL_PRESS_LEFT_TRANSM	= counter:next() 
wsRepALMAZ_CHECK_OIL_PRESS_RIGHT_TRANSM	= counter:next() 
wsRepALMAZ_LEFT_ENG_FIRE	            = counter:next() 
wsRepALMAZ_RIGHT_ENG_FIRE	            = counter:next() 
wsRepALMAZ_APU_FIRE	                    = counter:next() 
wsRepALMAZ_HYDRO_FIRE	                = counter:next() 
wsRepALMAZ_FAN_FIRE	                    = counter:next() 
wsRepALMAZ_LEFT_ENG_TORQUE	            = counter:next() 
wsRepALMAZ_RIGHT_ENG_TORQUE	            = counter:next() 
wsRepALMAZ_DANGER_ENG_VIBR	            = counter:next() 
wsRepALMAZ_DATA	                        = counter:next() 
wsRepALMAZ_MAIN_HYDRO	                = counter:next() 
wsRepALMAZ_COMMON_HYDRO	                = counter:next() 
wsRepALMAZ_LOWER_GEAR	                = counter:next() 
wsRepALMAZ_CHECK_MAIN_TRANSM	        = counter:next() 
wsRepALMAZ_TURN_ON_BACKUP_TRANSP	    = counter:next() 
wsRepALMAZ_ELEC_ON_ACCUM	            = counter:next() 
wsRepALMAZ_USE_TV	                    = counter:next() 
wsRepALMAZ_USE_MANUAL_ATTACK_KI_TV	    = counter:next() 
wsRepALMAZ_FAILURE_WCS_ROCKET	        = counter:next() 
wsRepALMAZ_GUN_ACTUATOR_FAILURE	        = counter:next() 
wsRepALMAZ_MIN_FUEL	                    = counter:next() 
wsRepALMAZ_TURN_ON_ROTOR_ANTIICE	    = counter:next() 
wsRepALMAZ_RADIO_ALT	                = counter:next() 
wsRepALMAZ_INS	                        = counter:next() 
wsRepALMAZ_TURN_ON_GRID_USE_FIXED_GUN	= counter:next() 
wsRepALMAZ_TURN_ON_DC_AC_CONVERT	    = counter:next() 
wsRepALMAZ_CHECK_LEFT_TRANSM	        = counter:next() 
wsRepALMAZ_CHECK_RIGHT_TRANSM	        = counter:next() 
wsRepALMAZ_ACTUATOR_OIL_PRESSURE	    = counter:next() 
wsRepALMAZ_FAILURE_LEFT_PROBE_HEATER	= counter:next() 
wsRepALMAZ_FAILURE_RIGHT_PROBE_HEATER	= counter:next() 
wsRepALMAZ_DNS	                        = counter:next() 
wsRepALMAZ_FAILURE_NAV_POSITION	        = counter:next() 
wsRepALMAZ_GENERATOR_FAILURE	        = counter:next() 
wsRepALMAZ_DC_RECTIF_FAILURE	        = counter:next() 
wsRepALMAZ_ENG_DIGITAL_CONTROL_FAILURE	= counter:next() 
wsRepALMAZ_LOW_COCKPIT_PRESSURE	        = counter:next() 
wsRepALMAZ_NO_HYDRO_PRESSURE	        = counter:next() 
wsRepALMAZ_FAILURE_AIRCOND	            = counter:next() 
wsRepALMAZ_FAILURE_ROTOR_ANTIICE	    = counter:next() 
wsRepALMAZ_NO_MOV_GUN_STOP	            = counter:next() 
wsRepALMAZ_Maximum	                    = counter:next() 

----------------------------------------------------------------------------------------------------------------------
wsRepA10_VMU_Null	            = counter:start(4900) --4900		
wsRepA10_VMU_Alert	            = counter:next() 
wsRepA10_VMU_Altitude	        = counter:next() 
wsRepA10_VMU_WarningAutopilot	= counter:next() 
wsRepA10_VMU_Ceiling	        = counter:next() 
wsRepA10_VMU_IFF	            = counter:next() 
wsRepA10_VMU_Obstacle	        = counter:next() 
wsRepA10_VMU_Pullup	            = counter:next() 
wsRepA10_VMU_Speedbreak     	= counter:next() 
wsRepA10_VMU_Maximum	        = counter:next() 
----------------------------------------------------------------------------------------------------------------------
wsRepHumanHel_Use_Turbo_Gear	= counter:start(5000) --5000		
wsRepHumanHel_Regular_Launch	= counter:next() 
wsRepHumanGroundElecPowerOn	    = counter:next() 
wsRepHumanGroundElecPowerOff	= counter:next() 
wsRepHumanEngageDlinkTarget = counter:next() 
wsRepHumanEngageDlinkTargets = counter:next() 
wsRepHumanEngageDlinkTargetByType = counter:next() 
wsRepHumanEngageDlinkTargetsByType = counter:next() 
wsRepHumanGoToPoint	            = counter:next() 
wsRepHumanMakeReconnaissance	= counter:next() 
wsRepHumanHold	                = counter:next() 





wsRepGroundServiceNull	        = counter:next() 
wsRepGroundServiceCopy          = counter:next()    --Copy  that
wsRepGroundServiceNegative      = counter:next()    --
wsRepGroundServiceReloadDone    = counter:next()    --Reload done,sir!
wsRepGroundServiceRefuelDone    = counter:next()    --Refuel done,sir!
wsRepGroundServiceHMSDone       = counter:next()    --There is your HMS,sir!
wsRepGroundServiceNVGDone       = counter:next()    --There is your gogles,sir!
wsRepGroundServiceGroundPowerOn = counter:next()    --Ground power on,sir!
wsRepGroundServiceGroundPowerOff= counter:next()    --Ground power off,sir!
wsRepGroundServiceTurboGearOn   = counter:next()    --Turbo gear on ,sir!
wsRepGroundServiceTurboGearOff  = counter:next()    --Turbo gear off,sir!
wsRepGroundServiceStop          = counter:next()    --What hell are you doing ,man !!!!
wsRepGroundServiceMaximum       = counter:next()



wsRepMaximum	                = counter:next() 
wsRepBettyCancel	            = counter:next() 
wsRepHumanGetRoute	            = counter:next() 
wsRepHumanNewTarget	            = counter:next() 
wsRepHumanStop	                = counter:next() 
wsRepHumanMoving	            = counter:next() 
wsRepHumanCancel	            = counter:next() 


-----------------------------------------------------------------------------------------------------------------------
wsRepHumanDialogMin	            = counter:start(5500) --5500		
wsRepHumanAbort	                = counter:next() 
wsRepHumanBack	                = counter:next() 
wsRepHumanWingmenAll	        = counter:next() 
wsRepHumanWingmen1	            = counter:next() 
wsRepHumanWingmen2	            = counter:next() 
wsRepHumanWingmen3	            = counter:next() 
wsRepHumanAWACS	                = counter:next() 
wsRepHumanTower	                = counter:next() 
wsRepHumanMaintenance	        = counter:next() 
wsRepHumanEngage	            = counter:next() 
wsRepHumanPincer	            = counter:next() 
wsRepHumanVectorTo	            = counter:next() 
wsRepHumanRadar	                = counter:next() 
wsRepHumanECM	                = counter:next() 
wsRepHumanSmoke	                = counter:next() 
wsRepHumanGoFormation	        = counter:next() 
wsRepHumanReconnaissance	    = counter:next() 
wsRepHumanFerry	                = counter:next() 
wsRepHumanRemoteTarget      	= counter:next() 
wsRepHumanAntitankTask      	= counter:next() 
wsRepHumanFireSupport       	= counter:next() 
wsRepHumanLightLoad         	= counter:next() 
wsRepHumanReloading         	= counter:next() 
wsRepHumanRefueling         	= counter:next() 
wsRepHumanReplacement       	= counter:next() 
wsRepHumanPowerSourceSelect 	= counter:next() 
wsRepHumanGroundElecPower   	= counter:next() 
wsRepHumanMaintenanceSpecial	= counter:next() 
wsRepHumanDialogMax         	= counter:start(5600) 
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
wsRepHumanAWACSBanditBearing	= counter:next() 
wsRepHumanAWACSHomeBearing  	= counter:next() 
wsRepHumanAWACSTankerBearing	= counter:next() 
wsRepHumanAWACSDeclare      	= counter:next() 


---additional events 
--TOWER 
ws_HTowerWindAtStart               = counter:start(6000) 
ws_HTowerClimbTo300AtQFE           = counter:next() 
ws_HTowerRange                     = counter:next() 
ws_HTowerQFE                       = counter:next() 
ws_HTowerPoint                     = counter:next() 
ws_HTowerToPatternAltitude         = counter:next() 
ws_HTowerRunwayNumber              = counter:next() 
ws_HTowerWind                      = counter:next() 
ws_HTowerWindSpeed                 = counter:next() 
ws_HTowerMetersPerSecond           = counter:next() 

--wingmans
ws_WHRange          = counter:next()
ws_WHBearing        = counter:next()  

ws_HInboundTo 		= counter:next()  
ws_HOnlyInbound 	= counter:next()  

wsRepHumanMaximum           	= 9998


-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
PHRASES_NULL	            = counter:start(wsRepHumanMaximum	+	1) --wsRepHumanMaximum	+	1
PHRASES_ZERO	            = counter:next()
PHRASES_ONE	                = counter:next()
PHRASES_TWO	                = counter:next()
PHRASES_THREE	            = counter:next()
PHRASES_FOUR	            = counter:next()
PHRASES_FIVE	            = counter:next()
PHRASES_SIX	                = counter:next()
PHRASES_SEVEN	            = counter:next()
PHRASES_EIGHT	            = counter:next()
PHRASES_NINE	            = counter:next()

PHRASES_ONE_O_CLOCK	        = counter:next()
PHRASES_TWO_O_CLOCK	        = counter:next()
PHRASES_THREE_O_CLOCK	    = counter:next()
PHRASES_FOUR_O_CLOCK	    = counter:next()
PHRASES_FIVE_O_CLOCK	    = counter:next()
PHRASES_SIX_O_CLOCK	        = counter:next()
PHRASES_SEVEN_O_CLOCK	    = counter:next()
PHRASES_EIGHT_O_CLOCK	    = counter:next()
PHRASES_NINE_O_CLOCK	    = counter:next()
PHRASES_TEN_O_CLOCK	        = counter:next()
PHRASES_ELEVEN_O_CLOCK	    = counter:next()
PHRASES_TWELVE_O_CLOCK	    = counter:next()

PHRASES_BEARING	            = counter:next()

PHRASES_FOR	                = counter:next()
PHRASES_MILES	            = counter:next()
PHRASES_LEFT	            = counter:next()
PHRASES_RIGHT	            = counter:next()
PHRSES_RUNWAY	            = counter:next()
PHRASES_ATHEIGHT	        = counter:next()
PHRASES_ANGLESLOW	        = counter:next()
PHRASES_ANGLESMEDIUM	    = counter:next()
PHRASES_ANGLESHIGH	        = counter:next()
PHRASES_HOT	                = counter:next()
PHRASES_COLD	            = counter:next()
PHRASES_FLANKING	        = counter:next()
PHRASES_WIND_BEARING	    = counter:next()
PHRASES_WIND_SPEED	        = counter:next()
PHRASES_PRESSURE	        = counter:next()
PHRASES_CALLNAME0	        = counter:next()
PHRASES_CALLNAME1	        = counter:next()
PHRASES_CALLNAME2	        = counter:next()
PHRASES_CALLNAME3	        = counter:next()
PHRASES_CALLNAME4	        = counter:next()
PHRASES_CALLNAME5	        = counter:next()
PHRASES_CALLNAME6	        = counter:next()
PHRASES_CALLNAME7	        = counter:next()
PHRASES_CALLNAME8	        = counter:next()
PHRASES_CALLNAME9	        = counter:next()
PHRASES_CALLNAME_AWACS		= counter:next()
PHRASES_CALLNAME_TANKER		= counter:next()
---------------------------------------------------------------------------------------
PHRASES_CALLSIGN1	        = counter:next()
PHRASES_CALLSIGN2	        = counter:next()
PHRASES_CALLSIGN3	        = counter:next()
PHRASES_CALLSIGN4	        = counter:next()
---------------------------------------------------------------------------------------
PHRASES_ARMORTARGET	        = counter:next()
PHRASES_SAMSITETARGET	    = counter:next()
PHRASES_POINTTARGET	        = counter:next()
PHRASES_RANGE	            = counter:next()
PHRASES_RETURNTOFORMATION	= counter:next()
PHRASES_1_KM	            = counter:next()
PHRASES_2_KM	            = counter:next()
PHRASES_3_KM	            = counter:next()
PHRASES_5_KM	            = counter:next()
PHRASES_8_KM	            = counter:next()
PHRASES_10_KM	            = counter:next()
PHRASES_AZIMUTH	            = counter:next()
PHRASES_TO_TWO	            = counter:next()
PHRASES_TO_THREE        	= counter:next()
PHRASES_TO_FOUR	            = counter:next()
PHRASES_TO_WING	            = counter:next()
PHRASES_DELIMETER	        = counter:next()
PHRASES_COLON	            = counter:next()
--------------------------------------------------------------------------------------------------
ALMAZ_DIGITS_NULL	    = counter:next() 
ALMAZ_BOARD	            = counter:next() 
ALMAZ_DIGITS_0_BEGIN	= counter:next() 
ALMAZ_DIGITS_20_BEGIN	= counter:next() 
ALMAZ_DIGITS_30_BEGIN	= counter:next() 
ALMAZ_DIGITS_40_BEGIN	= counter:next() 
ALMAZ_DIGITS_50_BEGIN	= counter:next() 
ALMAZ_DIGITS_60_BEGIN	= counter:next() 
ALMAZ_DIGITS_70_BEGIN	= counter:next() 
ALMAZ_DIGITS_80_BEGIN	= counter:next() 
ALMAZ_DIGITS_90_BEGIN	= counter:next() 
ALMAZ_DIGITS_100_BEGIN	= counter:next() 
ALMAZ_DIGITS_200_BEGIN	= counter:next() 
ALMAZ_DIGITS_300_BEGIN	= counter:next() 
ALMAZ_DIGITS_400_BEGIN	= counter:next() 
ALMAZ_DIGITS_500_BEGIN	= counter:next() 
ALMAZ_DIGITS_600_BEGIN	= counter:next() 
ALMAZ_DIGITS_700_BEGIN	= counter:next() 
ALMAZ_DIGITS_800_BEGIN	= counter:next() 
ALMAZ_DIGITS_900_BEGIN	= counter:next() 
ALMAZ_DIGITS_0_END  	= counter:next() 
ALMAZ_DIGITS_1_END  	= counter:next() 
ALMAZ_DIGITS_2_END  	= counter:next() 
ALMAZ_DIGITS_3_END  	= counter:next() 
ALMAZ_DIGITS_4_END  	= counter:next() 
ALMAZ_DIGITS_5_END  	= counter:next() 
ALMAZ_DIGITS_6_END  	= counter:next() 
ALMAZ_DIGITS_7_END  	= counter:next() 
ALMAZ_DIGITS_8_END  	= counter:next() 
ALMAZ_DIGITS_9_END  	= counter:next() 
ALMAZ_DIGITS_10_END 	= counter:next() 
ALMAZ_DIGITS_11_END 	= counter:next() 
ALMAZ_DIGITS_12_END 	= counter:next() 
ALMAZ_DIGITS_13_END 	= counter:next() 
ALMAZ_DIGITS_14_END 	= counter:next() 
ALMAZ_DIGITS_15_END 	= counter:next() 
ALMAZ_DIGITS_16_END 	= counter:next() 
ALMAZ_DIGITS_17_END 	= counter:next() 
ALMAZ_DIGITS_18_END 	= counter:next() 
ALMAZ_DIGITS_19_END 	= counter:next() 
ALMAZ_DIGITS_20_END 	= counter:next() 
ALMAZ_DIGITS_30_END 	= counter:next() 
ALMAZ_DIGITS_40_END 	= counter:next() 
ALMAZ_DIGITS_50_END 	= counter:next() 
ALMAZ_DIGITS_60_END	    = counter:next() 
ALMAZ_DIGITS_70_END	    = counter:next() 
ALMAZ_DIGITS_80_END	    = counter:next() 
ALMAZ_DIGITS_90_END	    = counter:next() 
ALMAZ_DIGITS_100_END	= counter:next() 
ALMAZ_DIGITS_200_END	= counter:next() 
ALMAZ_DIGITS_300_END	= counter:next() 
ALMAZ_DIGITS_400_END	= counter:next() 
ALMAZ_DIGITS_500_END	= counter:next() 
ALMAZ_DIGITS_600_END	= counter:next() 
ALMAZ_DIGITS_700_END	= counter:next() 
ALMAZ_DIGITS_800_END	= counter:next() 
ALMAZ_DIGITS_900_END	= counter:next() 
ALMAZ_MESSAGE_BEGIN	    = counter:next() 
ALMAZ_MESSAGE_END	    = counter:next() 
ALMAZ_DIGITS_MAXIMUM	= counter:next() 

PHRASES_DECIMAL_POINT   = counter:next() 

PHRASES_CALLSIGN_MIN    = counter:next()
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

VOICE_ASSOCIATION_NULL	            = counter:start(19999)                    
VOICE_ASSOCIATION_LEADER            = counter:next()
VOICE_ASSOCIATION_WINGMAN           = counter:next()
VOICE_ASSOCIATION_AWACS             = counter:next()
VOICE_ASSOCIATION_APPROACH          = counter:next()
VOICE_ASSOCIATION_TANKER            = counter:next()
VOICE_ASSOCIATION_BETTY             = counter:next()
VOICE_ASSOCIATION_ALMAZ             = counter:next()
VOICE_ASSOCIATION_A10_VMU           = counter:next()
VOICE_ASSOCIATION_GROUND_SERVICE    = counter:next()
VOICE_ASSOCIATION_TOWER             = counter:next()

VOICE_SUB_ASSOCIATION_NULL			= counter:start(VOICE_ASSOCIATION_TOWER + 1)
VOICE_SUB_ASSOCIATION_LOCK_ON		= counter:next()
VOICE_SUB_ASSOCIATION_KA_50			= counter:next()


randomizing_commands   = counter:start(30000)                    
wsRepWingmenEjecting_2   = counter:next()
wsRepWingmen_WHTargetHit = counter:next()
wsRepWingmen_WHObjectHit = counter:next()
wsRepWingmen_WHGoodHits  = counter:next()



WINGMAN_CALM   = counter:next()
WINGMAN_BRIGHT = counter:start(WINGMAN_CALM + 10)
WINGMAN_LOUD   = counter:start(WINGMAN_BRIGHT + 10)




------------------------------------------------------------------------------------

temper_table = 
{
	[wsRepWingmenCopy] 							= WINGMAN_BRIGHT,
	[wsRepWingmenTargetDestroyed]				= WINGMAN_LOUD,
	[wsRepWingmenEjecting]						= WINGMAN_LOUD,
	[wsRepWingmenIamHit]						= WINGMAN_LOUD,
	[wsRepWingmenMissileAway]					= WINGMAN_BRIGHT,
	[wsRepWingmenGuns]                 			= WINGMAN_BRIGHT, 
	[wsRepWingmenEngagedDefensive]     			= WINGMAN_BRIGHT,
	[wsRepWingmenEngagingTarget]       			= WINGMAN_BRIGHT,   
	[wsRepWingmenAttackingAirDefenses] 			= WINGMAN_BRIGHT,      
	[wsRepWingmenRequestPermissionToAttack] 	= WINGMAN_BRIGHT,
	[wsRepWingmenBombsAway]                     = WINGMAN_BRIGHT,
	[wsRepWingmenRockets]                       = WINGMAN_BRIGHT,
	[wsRepWingmenRunningIn]                     = WINGMAN_BRIGHT,            
	[wsRepWingmenWinchester]		            = WINGMAN_BRIGHT,            
	[wsRepWingmenTallyBandit]                   = WINGMAN_BRIGHT,
	[wsRepWingmenSAMLaunch]                     = WINGMAN_LOUD,
	[wsRepWingmenMudSpike]                      = WINGMAN_BRIGHT,           
	[wsRepWingmenSpike]                         = WINGMAN_BRIGHT, 
	[wsRepWingmenCheckSix]						= WINGMAN_LOUD,
	[wsRepWingmenHelReconBearing]				= WINGMAN_BRIGHT,
	[wsRepWingmenFollowScanMode]				= WINGMAN_BRIGHT,
	[wsRepWingmenHelLaunchAbortTask]			= WINGMAN_BRIGHT,
	[wsRepWingmenBugout]						= WINGMAN_LOUD,
}

function wingmanTemper(event)
	local temper = temper_table[event] or WINGMAN_CALM
	return {"wingman", PHRASES_CALLSIGN1 + temper}
end

randomized_events =
{
    [wsRepWingmenEjecting] = {wsRepWingmenEjecting,wsRepWingmenEjecting_2},  
    [wsRepWingmenCopy]     = {wsRepWingmenCopy,wsRepWingmenRoger,wsRepWingmenAffirm},  
    [wsRepWingmenNegative] = {wsRepWingmenNegative,wsRepWingmenUnable},
	[wsRepWingmenTargetDestroyed] = {wsRepWingmenTargetDestroyed,
									 wsRepWingmenBanditDestroyed,
								     wsRepWingmen_WHTargetHit,
								     wsRepWingmen_WHObjectHit, 		
									 wsRepWingmen_WHGoodHits},  		
}

function sample(event)
    if randomized_events[event] == nil then
       return  {"sample",event}
    else
       return  {"randomized_sample",event}
    end
end
